Bug 1124454 - [RFE] internal testsuite should be able to skip tests requiring root
Summary: [RFE] internal testsuite should be able to skip tests requiring root
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: beakerlib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Ales Zelinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1163834 Fedora-beakerlib-1.10 1136362
TreeView+ depends on / blocked
 
Reported: 2014-07-29 14:15 UTC by Ales Zelinka
Modified: 2014-12-12 14:51 UTC (History)
3 users (show)

Fixed In Version: beakerlib-1.10-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1163834 (view as bug list)
Environment:
Last Closed: 2014-12-12 14:48:00 UTC


Attachments (Terms of Use)

Description Ales Zelinka 2014-07-29 14:15:56 UTC
When running internal testsuite as an unprivileged user, it's expected to get some failures (e.g. from mount and selinux tests). Would be nice if those testcases were somehow tagged as root-only and the testsuite won't count them towards the failures when not executed by root.

Comment 2 Ales Zelinka 2014-11-12 12:23:31 UTC
looks good. can you provide more visibility into this feature? I.e. count the number of skipped test-cases and log it as part of the test execution summary?

Comment 3 Dalibor Pospíšil 2014-11-13 09:39:24 UTC
I guess this would need better support from the test suite side. Could you file it as separate RFE which would be solved in one of the future releases?


Note You need to log in before you can comment on or make changes to this bug.